Bug 988676 - Error boundary event on call activity causes CCE
Error boundary event on call activity causes CCE
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Core (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity high
: ER2
: 6.0.0
Assigned To: Maciej Swiderski
Tomas Schlosser
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-26 02:27 EDT by Tomas Schlosser
Modified: 2014-08-06 16:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:13:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Parent process (10.01 KB, application/xml)
2013-07-26 02:27 EDT, Tomas Schlosser
no flags Details
Subprocess (5.75 KB, application/xml)
2013-07-26 02:27 EDT, Tomas Schlosser
no flags Details

  None (edit)
Description Tomas Schlosser 2013-07-26 02:27:28 EDT
Created attachment 778680 [details]
Parent process

Description of problem:
If there is an error boundary event attached to call activity, it causes CCE. The error is defined in both processes with exactly the same line. The exception is thrown during building.

Version-Release number of selected component (if applicable):
BPMS DR5

How reproducible:
by trying to build KieBase containing attached processes

Steps to Reproduce:
1. try to build KieBase from attached processes

Actual results:
java.lang.ClassCastException: org.jbpm.workflow.core.node.SubProcessNode cannot be cast to org.jbpm.process.core.ContextContainer

Expected results:
KieBase is built and the processes run fine

Additional info:
Comment 1 Tomas Schlosser 2013-07-26 02:27:58 EDT
Created attachment 778681 [details]
Subprocess
Comment 2 Maciej Swiderski 2013-08-12 10:37:19 EDT
fixed on master and 6.0.x

https://github.com/droolsjbpm/jbpm/commit/40beffbc53a78e7b12f678d09dc51fa7f209a9f8
Comment 6 Tomas Schlosser 2013-10-17 10:22:30 EDT
Verified in BPMS 6.0.0.ER4

Note You need to log in before you can comment on or make changes to this bug.